Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Properties | List of all members
Service Class Reference

Class executed when its own node is active. More...

Inheritance diagram for Service:

## Protected Member Functions
virtual void | OnUpdate ()
| Update of Service. More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnAwake ()
| This function is called when the own node becomes active for the first time. More...
virtual void | OnStart ()
| This function is called when the own node becomes active. More...
virtual void | OnAbort ()
| This function is called when the own node is aborted. More...
virtual void | OnEnd ()
| This function is called when the own node ends. More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Properties
bool | behaviourEnabled`[get, set]`
| Gets or sets a value indicating whether [behaviour enabled]. More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | treeNode`[get]`
| Get the TreeNodeBase. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Additional Inherited Members
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For Editor. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| Expanded on ArborEditorWindow. More...

## Detailed Description

Class executed when its own node is active.

Inherit and use it.

Available Attributes :

- AddBehaviourMenu
- HideBehaviour
- BehaviourTitle
- BehaviourHelp

## Member Function Documentation

virtual void OnUpdate | ( |  | ) |
| protected virtual

Update of Service.

It is called execution frame.

## Property Documentation

bool behaviourEnabled
| get set

Gets or sets a value indicating whether [behaviour enabled].

`true` if [behaviour enabled]; otherwise, `false`.